OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000784OMNeT++IDE / result analysispublic2014-11-14 13:082014-11-26 11:28
Reporterandras 
Assigned Torhornig 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.5 
Target VersionFixed in Version4.6 
Summary0000784: Analysis Tool: scalar sum() operation broken
DescriptionFrom Michael Kirsche (personal email on Nov 7, 2014):

In the Analysis Editor tool in the IDE, while computing scalar values, the "sum()" operation seems to be broken, while count(), mean(), max/min/etc are all working correctly.

Is the documentation just incorrect here (IDE userguide ch09s03.html) or is the function broken in the code?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000944)
mkirsche (reporter)
2014-11-19 21:09

Additional information on this issue...

Chapter 9 in the IDE manual, using the analysis editor states (for example):

f you are interested in the total number of bytes received in the network, you can use the sum() function. In this example we store the result as a new scalar of the toplevel module, Network.

    Value: sum(rcvdByteCount)

    Name: totalRcvdBytes

    Module: Network


If you try this, you get an error message in the Edite "Compute Scalar" dialog: "Value: wrong number of arguments in call of sum".

Other example functions like min or max work without problems.
(0000947)
rhornig (administrator)
2014-11-26 11:28

Indeed. This was a copy-pate error. Fixed now.

- Issue History
Date Modified Username Field Change
2014-11-14 13:08 andras New Issue
2014-11-19 21:09 mkirsche Note Added: 0000944
2014-11-26 11:28 rhornig Note Added: 0000947
2014-11-26 11:28 rhornig Status new => resolved
2014-11-26 11:28 rhornig Fixed in Version => 4.6
2014-11-26 11:28 rhornig Resolution open => fixed
2014-11-26 11:28 rhornig Assigned To => rhornig
2015-10-12 09:28 ammmar1988 Issue cloned: 0000882


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker